<?xml version="1.0"?><Report>
    <ReportQuery>
        <Format>
            <ReportTitle>Groupes d'usagers</ReportTitle>
            <ReportDescription></ReportDescription>
            <PageSize>.DEFAULT</PageSize>
            <PageOrientation>.DEFAULT</PageOrientation>
            <TopMargin></TopMargin>
            <BottomMargin></BottomMargin>
            <RightMargin></RightMargin>
            <LeftMargin></LeftMargin>
            <pdfFont></pdfFont>
            <pdfFontSize></pdfFontSize>
            <PreExecuteCode>NONE</PreExecuteCode>
            <formBetweenRows>solidline</formBetweenRows>
            <gridDisplay>.DEFAULT</gridDisplay>
            <gridSortable>.DEFAULT</gridSortable>
            <gridSearchable>.DEFAULT</gridSearchable>
            <gridPageable>.DEFAULT</gridPageable>
            <gridPageSize>.DEFAULT</gridPageSize>
        </Format>
        <Datasource>
            <SourceType>database</SourceType>
            <SourceConnection>
                <DatabaseType>mysql</DatabaseType>
                <DatabaseName></DatabaseName>
                <HostName></HostName>
                <ServiceName></ServiceName>
                <UserName></UserName>
                <Password></Password>
            </SourceConnection>
        </Datasource>
        <EntryForm>
            <Query>
                <TableSql></TableSql>
                <WhereSql></WhereSql>
                <GroupSql></GroupSql>
                <RowSelection>all</RowSelection>
                <SQL>
                    <QuerySql></QuerySql>
                    <SQLRaw>With cteInit As (
                        Select 1 From Paa.InitConnexionPaa('test')
                        )
                        , cteUsagersBase As (
                        Select iId_Res
                        From cteInit, PAA.RtvCurTtesRessources('U'  		--&amp;&amp; psLstType_Res
                        , Current_Date  			--&amp;&amp; pdDateDébut
                        , Current_Date  				--&amp;&amp; pdDateFin
                        , Null  		--&amp;&amp; pcLstResForcées
                        , Null  --&amp;&amp; plTousEtablissements
                        , Null 	--&amp;&amp; plSansNomRessource
                        , Null		--&amp;&amp; psWhereAdditionnel
                        )
                        )
                        , cteUsagers As (
                        Select iId_Usager, cNomCourt, cNom, cPrenom As cPrénom
                        , cast(Paa.RtvGroupeUsager(iId_Res, current_Date) as Integer) as iGroupe
                        From cteUsagersBase UB
                        Join Paa.Usagers U On U.iId_Usager = UB.iId_Res
                        )
                        , cteGroupes As (
                        Select GR.iId_Groupe, GR.cNom As cGroupe, GR.iCouleur, Count(US.cNom) As iNbUsagersGroupe
                        From Paa.Groupes As GR
                        Left Join cteUsagers As US On GR.iId_Groupe = US.iGroupe
                        Where not iId_Groupe In (0, 999999)
                        Group By GR.cNom, GR.iId_Groupe
                        )
                        Select iid_groupe, iid_usager, GR.cgroupe, icouleur, GR.inbusagersgroupe
                        , US.cnom, US.cprénom cprenom, US.cnomcourt
                        From cteGroupes As GR
                        Left Join cteUsagers As US On GR.iId_Groupe = US.iGroupe
                        Order By cGroupe, cNom, cPrénom ;
                    </SQLRaw>
                </SQL>
                <QueryColumns>
                    <QueryColumn>
                        <Name>iid_groupe</Name>
                        <TableName></TableName>
                        <ColumnName>iid_groupe</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>iid_usager</Name>
                        <TableName></TableName>
                        <ColumnName>iid_usager</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>cgroupe</Name>
                        <TableName>GR</TableName>
                        <ColumnName>cgroupe</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>icouleur</Name>
                        <TableName></TableName>
                        <ColumnName>icouleur</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>inbusagersgroupe</Name>
                        <TableName>GR</TableName>
                        <ColumnName>inbusagersgroupe</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>cprenom</Name>
                        <TableName></TableName>
                        <ColumnName>US.cprénom</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>cnom</Name>
                        <TableName>US</TableName>
                        <ColumnName>cnom</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name></Name>
                        <TableName></TableName>
                        <ColumnName></ColumnName>
                        <ColumnType></ColumnType>
                        <ColumnLength></ColumnLength>
                        <Format>
                            <column_display>show</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF>40*10</ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title>Couleur</column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>cnomcourt</Name>
                        <TableName>US</TableName>
                        <ColumnName>cnomcourt</ColumnName>
                        <ColumnType>char</ColumnType>
                        <ColumnLength>30</ColumnLength>
                        <Format>
                            <column_display>hide</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>nom</Name>
                        <TableName></TableName>
                        <ColumnName></ColumnName>
                        <ColumnType></ColumnType>
                        <ColumnLength></ColumnLength>
                        <Format>
                            <column_display>show</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF>200*10</ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>prenom</Name>
                        <TableName></TableName>
                        <ColumnName></ColumnName>
                        <ColumnType></ColumnType>
                        <ColumnLength></ColumnLength>
                        <Format>
                            <column_display>show</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                    <QueryColumn>
                        <Name>nom_court</Name>
                        <TableName></TableName>
                        <ColumnName></ColumnName>
                        <ColumnType></ColumnType>
                        <ColumnLength></ColumnLength>
                        <Format>
                            <column_display>show</column_display>
                            <content_type>plain</content_type>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF>200*10</ColumnWidthPDF>
                            <ColumnWidthHTML></ColumnWidthHTML>
                            <column_title></column_title>
                            <tooltip></tooltip>
                            <group_header_label>0</group_header_label>
                            <group_header_label_xpos></group_header_label_xpos>
                            <group_header_data_xpos></group_header_data_xpos>
                            <group_trailer_label>0</group_trailer_label>
                        </Format>
                    </QueryColumn>
                </QueryColumns>
                <OrderColumns></OrderColumns>
                <PreSQLS></PreSQLS>
            </Query>
            <Assignments>
                <Assignment>
                    <AssignName></AssignName>
                    <AssignNameNew></AssignNameNew>
                    <Expression>apply_style('CELL', 'background-color', CouleurRGBToHex({icouleur}));</Expression>
                    <Condition></Condition>
                </Assignment>
                <Assignment>
                    <AssignName>nom</AssignName>
                    <AssignNameNew></AssignNameNew>
                    <Expression>{cnom}</Expression>
                    <Condition></Condition>
                </Assignment>
                <Assignment>
                    <AssignName>prenom</AssignName>
                    <AssignNameNew></AssignNameNew>
                    <Expression>{cprenom}</Expression>
                    <Condition></Condition>
                </Assignment>
                <Assignment>
                    <AssignName>nom_court</AssignName>
                    <AssignNameNew></AssignNameNew>
                    <Expression>{cnomcourt}</Expression>
                    <Condition></Condition>
                </Assignment>
            </Assignments>
            <Criteria></Criteria>
            <Output>
                <PageHeaders>
                    <PageHeader>
                        <LineNumber>1</LineNumber>
                        <HeaderText>{USER_PARAM,gsNomEtablissement}{STYLE font-size:10pt;height:2cm;border-style:solid;border-width:1 0 1 0;border-color:#000000;margin:50px 0px 0px 0px;}</HeaderText>
                        <Format>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ShowInPDF>yes</ShowInPDF>
                            <ShowInHTML>no</ShowInHTML>
                        </Format>
                    </PageHeader>
                    <PageHeader>
                        <LineNumber>1</LineNumber>
                        <HeaderText>&lt;br&gt;Listing des groupes {STYLE background-color:#fff000;font-size:18pt;height:1cm;border-style:solid;border-width:1 0 1 0;border-color:#000000;padding:5px 20px 5px 20px;margin:50px 0px 0px 0px;}</HeaderText>
                        <Format>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>left</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ShowInPDF>yes</ShowInPDF>
                            <ShowInHTML>no</ShowInHTML>
                        </Format>
                    </PageHeader>
                    <PageHeader>
                        <LineNumber>1</LineNumber>
                        <HeaderText>&lt;br&gt;Imprimé le : date('d-m-Y à H:i:s'){STYLE font-size:10pt;height:0cm;border-style:none;border-width:1 0 1 0;border-color:#000000;margin:50px 0px 0px 0px;}</HeaderText>
                        <Format>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>right</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ShowInPDF>yes</ShowInPDF>
                            <ShowInHTML>no</ShowInHTML>
                        </Format>
                    </PageHeader>
                    <PageHeader>
                        <LineNumber>1</LineNumber>
                        <HeaderText>{NOMORE}</HeaderText>
                        <Format>
                            <ColumnStartPDF></ColumnStartPDF>
                            <justify>center</justify>
                            <ColumnWidthPDF></ColumnWidthPDF>
                            <ShowInPDF>yes</ShowInPDF>
                            <ShowInHTML>no</ShowInHTML>
                        </Format>
                    </PageHeader>
                </PageHeaders>
                <PageFooters></PageFooters>
                <DisplayOrders>
                    <DisplayOrder>
                        <ColumnName></ColumnName>
                        <OrderNumber>1</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>iid_groupe</ColumnName>
                        <OrderNumber>2</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>iid_usager</ColumnName>
                        <OrderNumber>3</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>cgroupe</ColumnName>
                        <OrderNumber>4</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>icouleur</ColumnName>
                        <OrderNumber>5</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>inbusagersgroupe</ColumnName>
                        <OrderNumber>6</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>cnom</ColumnName>
                        <OrderNumber>7</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>cprenom</ColumnName>
                        <OrderNumber>8</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>cnomcourt</ColumnName>
                        <OrderNumber>9</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>nom</ColumnName>
                        <OrderNumber>10</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>prenom</ColumnName>
                        <OrderNumber>11</OrderNumber>
                    </DisplayOrder>
                    <DisplayOrder>
                        <ColumnName>nom_court</ColumnName>
                        <OrderNumber>12</OrderNumber>
                    </DisplayOrder>
                </DisplayOrders>
                <Groups>
                    <Group>
                        <GroupName>cgroupe</GroupName>
                        <BeforeGroupHeader>solidline</BeforeGroupHeader>
                        <AfterGroupHeader>solidline</AfterGroupHeader>
                        <BeforeGroupTrailer>solidline</BeforeGroupTrailer>
                        <AfterGroupTrailer>solidline</AfterGroupTrailer>
                        <GroupHeaders>
                            <GroupHeader>
                                <GroupHeaderColumn>cgroupe</GroupHeaderColumn>
                                <GroupHeaderCustom>   Groupe : {cgroupe}                Effectif :  {inbusagersgroupe} {STYLE background-color:#fff000;font-size:12pt;height:1cm;border-style:solid;border-width:1 0 1 0;border-color:#000000;padding:5px 20px 5px 20px;margin:50px 0px 0px 0px;}</GroupHeaderCustom>
                                <ShowInHTML>yes</ShowInHTML>
                                <ShowInPDF>yes</ShowInPDF>
                            </GroupHeader>
                        </GroupHeaders>
                        <GroupTrailers></GroupTrailers>
                    </Group>
                </Groups>
                <Graphs></Graphs>
            </Output>
        </EntryForm>
    </ReportQuery>
</Report>